## swift 2.2.0

=== debian/changelog ===
swift (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed the no intersphinx patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 12:44:38 +0000

swift (2.2.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Oct 2014 22:29:36 +0800

swift (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed CVE-2014-3497_properly_quote_www-authenticate_header_value.patch
    applied upstream.
  * Added new command lines into packages:
    - usr/bin/swift-container-info
    - usr/bin/swift-container-reconciler
    - usr/bin/swift-reconciler-enqueue
    - usr/bin/swift-account-info
  * Added new package (+init script): swift-account-expirer (Closes: #760363).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 19:31:22 +0800

swift (1.13.1-1) unstable; urgency=high

  * New upstream release.
  * CVE-2014-3497: XSS in Swift requests through WWW-Authenticate header.
    Appilied upstream patch properly_quote_www-authenticate_header_value.patch
    (Closes: #752087).

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Apr 2014 11:19:56 +0800

swift (1.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: #737638).
  * Added new (build-)dependency: python-dnspython.
  * Removed CVE-2014-0006 patch, applied upstream.
  * Added PYTHONPATH=. when running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Feb 2014 23:21:54 +0800

swift (1.11.0-2) unstable; urgency=high

  * CVE-2014-0006: Use constant time comparison in tempURL. Applied upstream
    patch (Closes: #735582).
  * Fix sphinx doc building.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Jan 2014 00:31:56 +0800

swift (1.11.0-1) unstable; urgency=medium

  * New upstream relase.
  * Removed swift-bench things, since that's gone from upstream project (it's
    moved as a separate project at https://github.com/openstack/swift-bench).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2013 17:21:20 +0800

swift (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Oct 2013 01:08:31 +0800

swift (1.10.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Removed applied upstream patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2013 11:59:08 +0800

swift (1.8.0-7) unstable; urgency=low

  * Added "Account Quota Correction" patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2013 16:03:31 +0800

swift (1.8.0-6) unstable; urgency=low

  [ Thomas Goirand ]
  * Renamed all init script with .init extension in the debian folder, so it is
    more easy to list them with ls.
  * Added upstart scripts.
  * Added myself and Julien in debian/copyright for the packaging, plus
    Canonical for the upstart jobs.
  * Removes unwanted python-webob (build-)depends (Closes: #715452).
  * CVE-2013-4155: DoS using superfluous object tombstones. Upstream patch
    fixes handling of DELETE obj reqs with old timestamp (Closes: #719008).

  [ Julien Cristau ]
  * CVE-2013-2161: Check user input in XML responses (closes: #712202)

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Jun 2013 15:33:19 +0800

swift (1.8.0-5) unstable; urgency=low

  * swift-account should be Breaks+Replaces: swift (<< 1.8.0-4~) to allow to
    do backports.
  * Added Fix-formpost-with-queries-without-user_agent.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2013 15:14:15 +0800

swift (1.8.0-4) unstable; urgency=low

  * Corrects a mistake with the location of the account-server.conf, which
    should have been in swift-account and not the swift package. As a
    consequence, adds Breaks+Replaces: swift (<< 1.8.0-4) (Closes: #710916).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jun 2013 00:04:35 +0800

swift (1.8.0-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Installs a default configuration file for swift-dispersion-report
    (Closes: #668775), thanks to Loic Dachary <loic@dachary.org> for reporting.
  * Now using upstream manpages when available.
  * Now using upstream configuration files as default in /etc/swift
    (Closes: #661811)

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 19:55:10 +0800

swift (1.8.0-2) unstable; urgency=low

  * Upload to unstable.
  * Updates the Allow-all-headers-requested-for-CORS.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 May 2013 22:32:52 +0800

swift (1.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 20:30:31 +0800

swift (1.7.5-3) experimental; urgency=low

  * New upstream release.
  * Fixed typoe dependency to python-swiftclient (and not python-swift-client).
  * Removed patches now applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 20:31:31 +0800

swift (1.7.5-2) experimental; urgency=low

  * Added missing python-swiftclient dependency in swift-account. Thanks to
    Viktor Křivák for reporting (Closes: #703623).
  * Adds adds Add-handler-for-CORS-actual-requests.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2013 01:01:47 +0800

swift (1.7.5-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * New upstream release
  * Fixed -x switch issue in swift-bench

  [ Thomas Goirand ]
  * Fixed wrong format URL in debian/copyright.
  * Added missing AUTHORS file in all packages.
  * Removed useless X-Python-Version: >= 2.6 in control, since we already
  Build-Depends: on python-all (>=2.6.6-3~).
  * Removed \r from debian/copyright.
  * Added missing Provides: ${python:Provides}, uses same short desc as in
  Ubuntu, Break with versions << 1.6 (because of the python-swiftclient
  package).
  * Imported Ubuntu patch to stop accessing network when building docs.
  * Fixes a log_daemon_msg typo present in most swift init scripts.
  * Removes useless "swift is open source software" from long description.

  [ Julien Danjou ]
  * Add /var/cache/swift to use swift-recon

