## swift 2.2.2

=== debian/changelog ===
swift (2.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/patches/fixup-32bit-max-file-size.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 13:40:34 -0500

swift (2.2.1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/*.init: Re-instate and re-write original init scripts. 
    - d/*: Tidy incorrectly named init script files.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jan 2015 10:42:51 +0000

swift (2.2.1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for Vivid.
  * d/control: Update branch locations.

  [ James Page ]
  * New upstream release:
    - d/p/*: Refresh.
  * d/control: Bumped Standards-Version 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 14:33:19 +0000

swift (2.2.0-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 15:47:13 -0400

swift (2.2.0~rc1-0ubuntu3) utopic; urgency=medium

  * Fix autopkg tests due to upstream mandatory configuration changes:
    - d/tests/swift-daemons,proxy-server.conf: Switch to using upstream
      provided sample proxy server configuration, drop test specific
      configuration.
    - d/*.conf: Set default bind_port values inline with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 11:51:59 +0100

swift (2.2.0~rc1-0ubuntu2) utopic; urgency=medium

  * d/p/fixup-32bit-max-file-size.patch: Limit MAX_FILE_SIZE on 32bit
    architectures during testing, fixing FTBFS on i386 builders
    (LP: #1378810).
  * d/p/fix-ubuntu-tests.patch: Drop, superceeded by above.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 09:57:04 +0100

swift (2.2.0~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate for OpenStack Juno:
    - d/p/*: Refreshed.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Oct 2014 15:05:01 +0100

swift (2.1.0-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * debian/patches/fix-doc-no-network.patch: Refreshed.
  * debian/control: Add python-oslosphinx as a build dependency.

  [ James Page ]
  * New upstream release for OpenStack Juno.
  * d/copyright: Add linebreaks to fixup file-without-copyright-
    information warning.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Oct 2014 10:06:11 +0100

swift (2.0.0-0ubuntu2) utopic; urgency=medium

  * Do not compress conf-sample files in the doc directories (used in
    the autopkg tests).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Aug 2014 12:26:45 +0200

swift (2.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/ring-perms.patch: Dropped no longer needed.
  * debian/switf-container.install: Add swift-reconciler-enqueue
    and swift-container-reconciler.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Jul 2014 10:31:47 -0400
