=== debian/changelog ===
swift (2.5.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2016 23:17:41 +0800

swift (2.5.0-3) unstable; urgency=high

  [ Ondřej Nový ]

  * Removed useless shlibs dependency.
  * Watch file fixed.
  * CVE-2016-0738: Fix memory/socket leak in proxy on truncated SLO/DLO GET
    (Closes: #812984)
  * Removed wrong systemd unit files.

  [ Ivan Udovichenko ]

  * d/rules: Fix config location for swift-object-expirer service.
  * d/control: Add Breaks field to swift-object-expirer package.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Jan 2016 05:31:21 -0500

swift (2.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Added cron job for drive audit.
  * Removed python-swiftclient dependency.
  * Added libjerasure2 build dependency.
  * Added myself to copyright file.
  * Fixed debian/copyright.
  * Fixed typo in swift-container-sync upstart job.

  [ Marek Kaleta ]
  * Moved drive audit to new package swift-drive-audit.
  * Added myself to copyright file.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 16 Jan 2016 05:05:21 -0500

swift (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Workaround swift-init bug and send SIGKILL if SIGTERM is not successful.
    Thanks to Petr Kuběna <petr.kubena@firma.seznam.cz>
  * Moved same parts of init scripts to template.
  * Allows one to change kill-interval in swift-init.
  * man pages cleanup.

  [ Thomas Goirand ]
  * Removed Pre-Depends on dpkg.
  * Removed Breaks+Replaces now obsolete after the release of Jessie.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 20:54:44 +0000

swift (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * swift-object-reconstructor init script is correctly installed now.
  * Fixed service name of object-expirer.
  * Added container-sync init script.
  * All init scripts is using swift-init.
  * Added myself as uploader.

  [ Thomas Goirand ]
  * Adds patch-requirements.txt-to-allow-pyeclib-versions.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 13:21:00 +0000

swift (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pyeclib as (build-)depends, bumped eventlet required version
    to 0.16.1, and removed a few versions already provided by Jessie.
  * Standards-Version is now 3.9.6.
  * Removed applied upstream patch:
    - CVE-2015-1856_Prevent-unauthorized-delete-in-versioned-container.patch
  * Added usr/bin/swift-object-reconstructor to swift-object.
  * Added startup scripts for swift-container-reconciler and
    swift-object-reconstructor. Thanks to <ondrej.novy@firma.seznam.cz> for the
    bug report and patch (Closes: #788450).

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2015 09:49:04 +0200

swift (2.2.0-3) unstable; urgency=medium

  * Fixed swift user creation (standardized on pkgos way).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jun 2015 17:03:05 +0200

swift (2.2.0-2) unstable; urgency=high

  * CVE-2015-1856 & OSSA 2015-006: Unauthorized delete of versioned Swift
    object. Applied upstream patch: Prevent unauthorized delete in versioned
    container (Closes: #783163).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2015 09:42:47 +0200
