=== debian/control ===
--- 
+++ 
@@ -2,57 +2,59 @@
 Section: net
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
+               libjerasure2,
                openstack-pkg-tools,
-               python-all (>=2.6.6-3~),
+               python-all,
                python-pbr,
                python-setuptools,
-               python-sphinx (>= 1.1.2)
+               python-sphinx,
 Build-Depends-Indep: python-coverage,
-                     python-dnspython,
-                     python-eventlet (>= 0.9.15),
+                     python-dnspython (>= 1.9.4),
+                     python-eventlet (>> 0.17.0),
                      python-greenlet (>= 0.3.1),
-                     python-mock (>= 1.0),
-                     python-netifaces,
+                     python-mock,
+                     python-netifaces (>> 0.10.1),
                      python-nose,
+                     python-nose-exclude,
                      python-nosehtmloutput,
                      python-nosexcover,
                      python-openssl,
                      python-openstack.nose-plugin,
                      python-oslosphinx,
                      python-paste,
-                     python-pastedeploy,
+                     python-pastedeploy (>= 1.3.3),
+                     python-pyeclib (>= 1.0.7),
                      python-simplejson (>= 2.0.9),
+                     python-six (>= 1.9.0),
                      python-swiftclient,
-                     python-xattr
-Standards-Version: 3.9.4
+                     python-xattr (>= 0.4),
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/swift.git
-Homepage: http://launchpad.net/swift
+Homepage: https://github.com/openstack/swift
 
 Package: python-swift
 Architecture: all
 Section: python
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser,
-         python-dnspython,
-         python-eventlet (>= 0.9.15),
+         python-dnspython (>= 1.9.4),
+         python-eventlet (>> 0.17.0),
          python-greenlet (>= 0.3.1),
-         python-netifaces,
+         python-netifaces (>> 0.10.1),
          python-openssl,
          python-paste,
-         python-pastedeploy,
+         python-pastedeploy (>= 1.3.3),
+         python-pyeclib (>= 1.0.7),
          python-setuptools,
          python-simplejson (>= 2.0.9),
-         python-swiftclient,
-         python-xattr,
-         ${misc:Depends},
-         ${python:Depends}
-Provides: ${python:Provides}
+         python-six (>= 1.9.0),
+         python-xattr (>= 0.4),
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
 Description: distributed virtual object store - Python libraries
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -78,11 +80,9 @@
 
 Package: swift
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-swift (=${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
 Description: distributed virtual object store - common files
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -107,13 +107,11 @@
 
 Package: swift-proxy
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
 Description: distributed virtual object store - proxy server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -139,15 +137,14 @@
 
 Package: swift-object
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - object server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -172,17 +169,14 @@
 
 Package: swift-container
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
-Breaks: swift (<< 1.8.0-4~)
-Replaces: swift (<< 1.8.0-4~)
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - container server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -207,16 +201,14 @@
 
 Package: swift-account
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         python-swiftclient,
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Recommends: swift-drive-audit,
 Description: distributed virtual object store - account server
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -241,17 +233,14 @@
 
 Package: swift-object-expirer
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Breaks: swift-object (<< 2.0.0)
-Replaces: swift-object (<< 2.0.0)
-Depends: lsb-base (>= 3.0-6),
-         python-swift (=${binary:Version}),
-         python-swiftclient,
-         rsync,
-         swift,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: lsb-base (>= 3.0-6),
+         python-swift (=${binary:Version}),
+         rsync,
+         swift,
+         ${misc:Depends},
+         ${python:Depends},
+Replaces: swift-object (<< 2.5.0-3~)
+Breaks: swift-object (<< 2.5.0-3~)
 Description: distributed virtual object store - object-expirer
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
@@ -259,3 +248,7 @@
  rather a long-term storage system for a more permanent type of static data
  that can be retrieved, leveraged, and then updated if necessary. Primary
  examples of data that best fit this type of storage model are virtual machine
+ images, photo storage, email storage and backup archiving. Having no central
+ "brain" or master point of control provides greater scalability, redundancy
+ and permanence.
+ .
