=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	#python setup.py build_sphinx
	dh_sphinxdoc -O--buildsystem=python_distutils

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_systemd_enable:
	# systemd support is not ready
	rm -f debian/*.service

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

	# Install default config files
	install -D -m 0644 $(CURDIR)/etc/dispersion.conf-sample			$(CURDIR)/debian/swift/etc/swift/dispersion.conf
	install -D -m 0644 $(CURDIR)/etc/swift.conf-sample			$(CURDIR)/debian/swift/etc/swift/swift.conf
	install -D -m 0644 $(CURDIR)/etc/account-server.conf-sample		$(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0644 $(CURDIR)/etc/container-server.conf-sample		$(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0644 $(CURDIR)/etc/container-reconciler.conf-sample	$(CURDIR)/debian/swift-container/etc/swift/container-reconciler.conf
	install -D -m 0644 $(CURDIR)/etc/drive-audit.conf-sample		$(CURDIR)/debian/swift-drive-audit/etc/swift/drive-audit.conf
	install -D -m 0644 $(CURDIR)/etc/memcache.conf-sample			$(CURDIR)/debian/swift-proxy/etc/swift/memcache.conf
	install -D -m 0644 $(CURDIR)/etc/mime.types-sample			$(CURDIR)/debian/swift-proxy/etc/swift/mime.types
	install -D -m 0644 $(CURDIR)/etc/proxy-server.conf-sample		$(CURDIR)/debian/swift-proxy/etc/swift/proxy-server.conf
	install -D -m 0644 $(CURDIR)/etc/object-expirer.conf-sample		$(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf
	install -D -m 0644 $(CURDIR)/etc/object-server.conf-sample		$(CURDIR)/debian/swift-object/etc/swift/object-server.conf

override_dh_installinit:
	# systemd support is not ready
	rm -f debian/*.service

	if dpkg-vendor --derives-from ubuntu ; then \
		for i in `ls -1 debian/*.upstart.in` ; do \
			MYPKG=`echo $$i | sed s/.upstart.in//` ; \
			cp $$MYPKG.upstart.in $$MYPKG.upstart ; \
		done ; \
	fi

	for i in `ls -1 debian/*.init.in` ; do \
		MYPKG=`echo $$i | sed s/.init.in//` ; \
		cat $$MYPKG.init.in debian/FOOTER.init.in > $$MYPKG.init ; \
	done

	dh_installinit --no-start

	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-reconciler
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor
